package cn.com.qmth.examcloud.core.questions.service.bean.extract;

import io.swagger.annotations.ApiModelProperty;

public class SaveRandomPaperExtractConfigDomain {

    @ApiModelProperty(value = "考试ID（为空时取考试编码的值）", required = false)
    private Long examId;

    @ApiModelProperty(value = "考试编码（为空时取考试名称的值）", required = false)
    private String examCode;

    @ApiModelProperty(value = "考试名称（为空时取考试ID或考试编码的值）", required = false)
    private String examName;

    @ApiModelProperty(value = " 课程代码", required = true)
    private String courseCode;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }


}
